/*
 * @(#) $Id:  $
 *
 * Copyright 2009/2010 by sIT Solutions,
 * A-1110 Wien, Geiselbergstr.21-25.
 * All rights reserved.
 *
 */
package org.openxma.addons.ui.tablecombo.mdl;

import org.openxma.addons.ui.tablecombo.mdl.table.NebulaAwareTableUIDelegateClient;
import org.openxma.dsl.platform.xma.client.mdl.UIDelegateFactoryClientDsl;

import at.spardat.xma.mdl.UIDelegateClient;
import at.spardat.xma.mdl.WModel;
import at.spardat.xma.mdl.table.TableWMClient;


public class NebulaAwareUIDelegateFactoryClientDsl extends UIDelegateFactoryClientDsl {
    
    @Override
    public UIDelegateClient newUIDelegateFor(WModel model) {
        if (model instanceof TableWMClient) return new NebulaAwareTableUIDelegateClient((TableWMClient)model);
        return super.newUIDelegateFor(model);
    }

}
